# Modi für Schlüsselableitungen 

## Initiale Schlüsselableitung
⇨ `KeyDerivation r1`
***
⇦  `OK-KeyDerivation <AES-256-Bit-Schlüssel-in-Hexform> r1:<256-Bit-RND-inHexform>:<KVNR>:<Ableitungsschlüsselbezeichner>`
(2,3)
## Schlüsselableitung durch Kontoinhaber
⇨ KeyDerivation r1:<256-Bit-RND-inHexform>:<KVNR>:<Ableitungsschlüsselbezeichner>`
***
⇦  `OK-KeyDerivation <AES-256-Bit-Schlüssel-in-Hexform> r1:<256-Bit-RND-inHexform>:<KVNR>:<Ableitungsschlüsselbezeichner>`
(2, 3)
## Schlüsselableitung für einen Berechtigungsempfänger
⇨ `KeyDerivation r2:<KVNR-Vertreter oder Telematik-ID>`
***
⇦  `OK-KeyDerivation <AES-256-Bit-Schlüssel-in-Hexform> r2:<256-Bit-RND-inHexform>:<KVNR-Kontoinhaber>:<KVNR-Vertreter oder TelematikID>:<aktueller Ableitungsschlüsselbezeichner>`
(2, 3)
## Schlüsselableitung durch einen Berechtigten
⇨ `KeyDerivation r2:<256-Bit-RND-in-Hexform>:<KVNRKontoinhaber>:<KVNR-Vertreter oder TelematikID>:<Ableitungsschlüsselbezeichner>`
***
⇦  `OK-KeyDerivation <AES-256-Bit-Schlüssel-in-Hexform> r2:<256-Bit-RND-inHexform>:<KVNR-Kontoinhaber>:<KVNR-Vertreter oder TelematikID>:<Ableitungsschlüsselbezeichner>`
(2,3)
## Schlüsselableitung für einen Berechtigungsempfänger durch einen Vertreter
⇨ `KeyDerivation r3:<Telematik-ID>:<KVNR-Kontoinhaber>`
***
⇦  `OK-KeyDerivation <AES-256-Bit-Schlüssel-in-Hexform> r3:<256-Bit-RND-inHexform>:<KVNR-Kontoinhaber>:<KVNR-Vertreter>:<Telematik-ID>:<aktueller Ableitungsschlüsselbezeichner>`
(2,3)
## Schlüsselableitung für einen durch einen Vertreter berechtigten Berechtigten
⇨ `KeyDerivation r3:<256-Bit-RND-in-Hexform>:<KVNRKontoinhaber>:<KVNR-Vertreter>:<Telematik-ID>:<aktueller Ableitungsschlüsselbezeichner>`
***
⇦  `OK-KeyDerivation <AES-256-Bit-Schlüssel-in-Hexform> r3:<256-Bit-RND-inHexform>:<KVNR-Kontoinhaber>:<KVNR-Vertreter>:<Telematik-ID>:<aktueller Ableitungsschlüsselbezeichner>`
(2,3)